Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.kernel.spi.registry
Interface KernelRegistryEntry

All Superinterfaces:
  Cloneable, org.jboss.dependency.spi.ControllerContext, org.jboss.util.JBossInterface

All Known Subinterfaces:
  KernelControllerContext

All Known Implementing Classes:
  AbstractKernelControllerContext, AbstractKernelRegistryEntry

public interface KernelRegistryEntry
extends org.jboss.util.JBossInterface, org.jboss.dependency.spi.ControllerContext

A registry entry

Version:
  $Revision: 1.3 $
Author:
  Adrian Brock

Method Summary
`Object` | `getName()` Get the name
`Object` | `getTarget()` Get any target
`void` | `setName(Object name)` Set the name

Methods inherited from interface org.jboss.util.JBossInterface
`clone, toShortString, toShortString`

Methods inherited from interface org.jboss.dependency.spi.ControllerContext
`getController, getDependencyInfo, getError, getMode, getRequiredState, getState, install, setController, setError, setMode, setRequiredState, uninstall`

Method Detail

### getName

    public Object getName()

  Get the name

  Specified by:
    `getName` in interface `org.jboss.dependency.spi.ControllerContext`
  Returns:
    the name

### setName

    public void setName(Object name)

  Set the name

  Parameters:
    `name` - the name

### getTarget

    public Object getTarget()

  Get any target

  Specified by:
    `getTarget` in interface `org.jboss.dependency.spi.ControllerContext`
  Returns:
    the target

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.